CWTextInternal::State Struct Reference

Internal: the state of a CWText. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_version
| the file version More...
std::vector< MWAWFont > | m_fontsList
| the list of fonts More...
std::vector< Paragraph > | m_paragraphsList
| the list of paragraph More...
std::map< int, shared_ptr< Zone > > | m_zoneMap
| the list of text zone More...

## Detailed Description

Internal: the state of a CWText.

## Constructor & Destructor Documentation

CWTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

std::vector<MWAWFont> CWTextInternal::State::m_fontsList

the list of fonts

std::vector<Paragraph> CWTextInternal::State::m_paragraphsList

the list of paragraph

int CWTextInternal::State::m_version

mutable

the file version

std::map<int, shared_ptr<Zone> > CWTextInternal::State::m_zoneMap

the list of text zone

The documentation for this struct was generated from the following file:

- CWText.cxx